import java.util.ArrayList;


public class Room
{
	private String name;
	private String description;
	private boolean gameoverFlag;
	ArrayList<Item> items = new ArrayList<>();
	ArrayList<Puzzle> puzzles = new ArrayList<>();
	public Room(String name)
	{
		this.name = name;
	}
        
        public Room()
        {
            
        }
	
        public Room(String n, String d, boolean g, ArrayList<Item> i, ArrayList<Puzzle> p)
        {
            name = n;
            description = d;
            gameoverFlag = g;
            items = i;
            puzzles = p;
        }
        
	public Item getItem(String s)
	{		
		for(Item i: items)
		{
			if(i.getName().equalsIgnoreCase(s))
				return i;
		}
		return null;
	}
	
	public Puzzle getPuzzle(String s)
	{
		for(Puzzle p: puzzles)
		{
			if(p.getName().equalsIgnoreCase(s))
				return p;
		}
		return null;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public boolean getGameoverFlag() {
		return gameoverFlag;
	}
	public void setGameoverFlag(boolean gameOverFlag) {
		gameoverFlag = gameOverFlag;
	}
	public ArrayList<Item> getItems() {
		return items;
	}

	public ArrayList<Puzzle> getPuzzles() {
		return puzzles;
	}

}
